Issue a token for automatic login on external websites
This API issues web_idp_token for automatic login when launching the Crossplay Launcher.
web_idp_token is a one-time token. Request a new token each time the app is launched.
Warning
Do not expose the enc_idp value sent in the request. Always call this API through server-to-server communication.
Request URL
| Environment | URL | HTTP Method | Content-Type |
| Production | https://authcp.qpyou.cn/auth/get-web-idp-token | POST | application/json |
| Sandbox | https://sandbox-authcp.qpyou.cn/auth/get-web-idp-token | POST | application/json |
Request body
| Field name | Description | Type | Required |
appid | App ID | String | Y |
enc_idp | Key containing encrypted IdP information | String | Y |
Request example
{
"appid": "com.com2us.hivesdk.normal.freefull.apple.global.ios.universal",
"enc_idp": "K+A4xduO7kf5OrJ/iDPqL2wrbMQTkNQ+jDz3OCCdGiezVsfW74kV0c/Qn2ipdP/ChFBUXoZkEUP03X26MVHnvgqHo9JG2BUCsRVcrsx+03IPRvpzjXAiY5c0tihk45jMWuPYo7q+j5Rsz8eSTKQo1vE9N85huOJWc8IAJKMqBRlpmiNfj+CgZQ5I7uV2u1nHhiLfwRqpt0vG/dT9mpdQisiKUS2mFIpgPnVSZaVMY7qnTvP+mTU11Yv2DhOq2VEycAic9Ko8UkBnllXEApqarqF5s4jg6bu9DxcnRNtZeaGbh4fZKEptjGuE6qqo3CsC1PN5TnU0Wf5uav07CaazsTpEBvA9SNZefWEeTDP2ePK8qd573vpXy4OQHpTOJkVm1AsN/Ir8Fssj9SKGdYyVuZ282VDAiFLAIlVyK4pAfjJRAve+G9tIm/i4mgQmuAqW"
}
Response body
| Field name | Description | Type |
result_code | Result code | Integer |
result_msg | Result message | String |
data | Result data | Object |
data.web_idp_token | Automatic login token for an external PC | String |
Response codes
| Code value | Description |
0 | Success |
4000 | Invalid request parameter |
4012 | enc_idp decryption error |
Response example
{
"result_code": 0,
"result_msg": "SUCCESS",
"data": {
"web_idp_token": "c47e61856f04f0a6194ddcbabca70a7f10552d044181386e625676fd07a63aee5d2b162a78a55bad350ed58fb07b79be8fea1c786108307f32b602019f31ac8d"
}
}